//
// Copyright (c) 2012, MindFusion LLC - Bulgaria.
//

using System;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;

using MindFusion.Common.WinForms;


namespace MindFusion.Diagramming.WinForms.Samples.CS.Controls
{
	public partial class MainForm : Form
	{
		public MainForm()
		{
			InitializeComponent();

			_form = new OverviewForm();
			_form.SetView(diagramView);
			_form.Owner = this;
			_form.Show();

			var zoomControl = new ZoomControl();
			zoomControl.Height = 300;
			zoomControl.Width = 55;
			zoomControl.Location = new Point(
				Width - 100, 120);
			zoomControl.Target = diagramView;
			Controls.Add(zoomControl);
			zoomControl.Anchor = AnchorStyles.Top | AnchorStyles.Right;
			zoomControl.BringToFront();
		}

		private void MainForm_Load(object sender, EventArgs e)
		{
			ShapeNode textBox = new ShapeNode(diagramView.Diagram);
			textBox.Bounds = new RectangleF(10, 10, 90, 40);
			textBox.PolygonalTextLayout = true;
			textBox.EnableStyledText = true;
			textBox.Text = "This sample demonstrates some of the auxiliary controls available " +
				"with Flowchart.NET Pro edition: the <b>Overview</b>, the <b>Ruler</b>, " +
				"the <b>ShapeToolbar</b>, and the <b>ZoomControl</b>.";
			diagramView.Diagram.Nodes.Add(textBox);

			textBox.Selected = false;
		}

		private void shapeToolBar1_ShapeClicked(object sender, ShapeEventArgs e)
		{
			diagram.DefaultShape = e.Shape;
		}


		private OverviewForm _form;
	}
}